public static interface RestApiEndpointBuilderFactory.RestApiBuilders
| Modifier and Type | Method and Description |
|---|---|
default RestApiEndpointBuilderFactory.RestApiEndpointBuilder |
restApi(String path)
REST API (camel-rest)
Expose OpenAPI Specification of the REST services defined using Camel
REST DSL.
|
default RestApiEndpointBuilderFactory.RestApiEndpointBuilder |
restApi(String componentName,
String path)
REST API (camel-rest)
Expose OpenAPI Specification of the REST services defined using Camel
REST DSL.
|
default RestApiEndpointBuilderFactory.RestApiEndpointBuilder restApi(String path)
rest-api:path/contextIdPattern
Path parameter: path (required)
The base path
Path parameter: contextIdPattern
Optional CamelContext id pattern to only allow Rest APIs from rest
services within CamelContext's which name matches the pattern.path - path/contextIdPatterndefault RestApiEndpointBuilderFactory.RestApiEndpointBuilder restApi(String componentName, String path)
rest-api:path/contextIdPattern
Path parameter: path (required)
The base path
Path parameter: contextIdPattern
Optional CamelContext id pattern to only allow Rest APIs from rest
services within CamelContext's which name matches the pattern.componentName - to use a custom component name for the endpoint
instead of the default namepath - path/contextIdPatternApache Camel